<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProgramsTable extends Migration
{

	public function up()
	{
		Schema::create('programs', function (Blueprint $table) {
			$table->engine = 'InnoDB';
			$table->increments('id');

			$table->string('name', 100);


			$table->char('code', 4)->nullable();

			$table->integer('school_id')->unsigned();
			$table->boolean('restrict_rubrics')->default(false);
			$table->timestamps();
			$table->boolean('is_graduate')->default(false);
		});

		Schema::table('programs', function (Blueprint $table) {
			$table->foreign('school_id')->references('id')->on('schools')->onDelete('cascade')->onUpdate('cascade');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('programs');
	}
}
