@extends('layouts.master')

@section('main')

    <div class="row">
        <div class="col-md-12">
The Family Educational Rights and Privacy Act of 1974 (FERPA) establishes parameters for the protection of the confidentiality of student academic information, recognizing their right to inspect and review their academic records. In 2012, an amendment was approved, which extended access conditions to any designated third party to private information of personal identification and to that found in academic records, including grades, with the purpose of academic progress evaluation. Consequently, seeking to improve, among many things, the effectiveness of said academic program. 
</p><p>
Student learning assessment is an activity mandated by the institutional rules, and a practice tied to the teaching process which seeks to measure the effectiveness and promote transformation aimed at excellence. OLAS, an online platform created on Campus, compiles information about the performance of students through assessment rubrics developed and used by its users (assessment coordinators of both the Division of Institutional Research and Assessment and of the faculties, as well as professors) who compile and receive data. 
</p><p>
FERPA defines an authorized representative as any entity or designated individual by a state or local authority, who conducts any audit or evaluation or any compliance activity in connection with federal legal requirements related to the programs. It could be any officer or university official that has a legitimate academic interest as part of his/her professional-administrative responsibilities, academic supervision, research, or support under the duties he/she carries. 
</p><p>
The Division of Institutional Research and Assessment (DIIA for its Spanish acronym) during the process of receiving, analyzing, and disseminating information contained in learning assessment reports generated by each faculty uses reasonable methods like the constant monitoring of the online platform, controlled access to the program, among other measures, to ensure that it keeps the identity of the student protected. 
</p><p>
Your login to this platform and the reading of the information related to the management of the student’s file, exposed above, implies that:
</p><ul>
<li>	you agree that the data located on and extracted from the platform is for educational purposes
<li>	you act within the framework of its role as coordinator of the learning assessment  and/or professor and
<li>	you are committed to safeguarding the principle of privacy and confidentiality of the student.
</ul>
<hr>
<p>
La Ley federal de Derechos Educativos y Privacidad Familiar, 1974 (FERPA) establece los parámetros para la protección a la confidencialidad de la información académica de los estudiantes, reconociéndoles el derecho a inspeccionar y revisar sus expedientes académicos. En 2012 se aprobó una enmienda que amplía las condiciones de acceso a cualquier tercero designado, a la información privada de identificación personal y a la que se encuentra en los registros educativos, incluyendo las calificaciones, para propósito de evaluar el progreso educativo y en consecuencia mejorar, entre otras cosas, la efectividad de dicho programa educativo.
</p><p>
La evaluación del aprendizaje estudiantil es una actividad mandatada por la normativa institucional y una práctica atada al proceso de enseñanza que busca medir la efectividad y propiciar las transformaciones dirigidas a la excelencia. OLAS, plataforma en línea creada en el Recinto, recopila información sobre el desempeño de estudiantes a través de rúbricas de avalúo desarrolladas y utilizadas por los usuarios (coordinadores de avalúo de la DIIA y de las facultades; y profesores) que recogen y reciben datos.
</p><p>
FERPA define representante autorizado a cualquiera entidad o individuo designado por un estado o autoridad local, que lleva a cabo cualquier auditoría o evaluación o cualquier actividad de cumplimiento en conexión con requerimientos legales federales, que se relacionan con los programas. Puede ser un oficial o funcionario universitario que tenga interés educativo legítimo como parte de sus responsabilidades profesionales-administrativas, supervisión académica, de investigación o de apoyo-bajo las tareas que desempeña.
</p><p>
La DIIA durante el proceso de recibir, analizar y divulgar la información contenida en los informes de avalúo del aprendizaje generados por las facultades, utiliza métodos razonables, como monitoreo continuo en la plataforma en línea, acceso controlado al programado, entre otras medidas, para asegurar que se mantiene protegida la identidad del estudiante.
</p><p>
Su ingreso a esta plataforma y la lectura de la información relacionada al manejo del expediente del estudiante, arriba expuesta, implica que:
</p><ul>
<li>	concuerda con que los datos ubicados y extraídos de la plataforma tienen un propósito educativo
<li>	actúa en el marco de su rol de coordinador de avalúo del aprendizaje y/o profesor y 
<li>	se compromete a resguardar el principio de privacidad y confidencialidad que le asiste al estudiante.
</ul>

            {{ Form::open(['action' => 'AgreementController@agree', 'class' => 'form-horizontal']) }}
            <div class="form-group">
             <div class="form-group">
                <div class="col-md-6">
                    {{ Form::submit('Do not Agree', ['class' => 'btn btn-lg btn-primary pull-right','name'=>"submitbutton"]) }}
                </div>
                <div class="col-md-6">
                    {{ Form::submit('Agree', ['class' => 'btn btn-lg btn-primary pull-left','name'=>"submitbutton"]) }}
                </div>
            </div>

            {{ Form::close() }}
        </div>
    </div>

@stop
