@extends('layouts.master')
@section('navigation')
    @if ($user->role == 1)
        @include('local.managers.admins._new_navigation')
    @elseif($user->role == 2)
        @include('local.managers.sCoords._new_navigation')
    @elseif($user->role == 3)
        @include('local.managers.pCoords._new_navigation')
    @else
        @include('local.professors._navigation')
    @endif
@stop

@section('main')

    <div class="row">
        <div class="col-md-12">
            <p>Use this form to let us know of any comments you have about the application. Please note that all fields are
                required. When writing comments, be as descriptive as possible, especially when you want to report errors.
                Include the name of the page you are commenting about, if applicable. Once you are done, click 'Send'. A
                copy will be sent to your chosen email address.</p>

            {{ Form::open(['action' => 'FeedbackController@send', 'class' => 'form-horizontal']) }}
            <div class="form-group">
                {{ Form::label('type', 'Type of Comment', ['class' => 'col-md-2']) }}
                <div class="col-md-10">
                    {{ Form::select(
                        'type',
                        [
                            '0' => 'Error Report',
                            '1' => 'Question',
                            '2' => 'Suggestion',
                            '3' => 'Other',
                        ],
                        null,
                        ['class' => 'form-control', 'name' => 'type']
                    ) }}
                </div>
            </div>

            <div class="form-group">
                {{ Form::label('email', 'Copy to', ['class' => 'col-md-2']) }}
                <div class="col-md-10">
                    <select name="email" id="email" class="form-control" aria-labelledby="email">
                        <option value="{{ $user->email }}">{{ $user->email }}</option>
                        @if ($user->alternate_email != null)
                            <option value="{{ $user->alternate_email }}">{{ $user->alternate_email }}</option>
                        @endif
                    </select>
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-12">
                    {{ Form::label('comment', 'Comment') }}
                    {{ Form::textarea('comment', '', ['class' => 'form-control', 'name' => 'comment']) }}
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-12">
                    {{ Form::submit('Send', ['class' => 'btn btn-lg btn-primary pull-right']) }}
                </div>
            </div>

            {{ Form::close() }}
        </div>
    </div>

@stop
