<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="csrf-token" content="<?= csrf_token() ?>">
    <link rel="shortcut icon" href="{{ asset('favicon.ico') }}">

    <!-- Bootstrap CSS-->
    {{ HTML::style('vendor/bootstrap/css/bootstrap.min.css') }}

    <!-- CSS -->
    {{ HTML::style('css/custom.css') }}
    {{ HTML::style('css/print.css') }}



    @yield('css')

    <!-- jQuery -->
    <script src="{{ asset('vendor/jquery.min.js') }}"></script>

    <!-- Bootstrap js -->
    <script src="{{ asset('vendor/bootstrap/js/bootstrap.min.js') }}"></script>

    <title>{{ $title }}</title>
</head>
<body>
    <header class="header">
        <img class="logo" src="{{ asset('images/logo_uprrp_bw.png') }}" alt="UPRRP Logo">

        <div class="header">
          <p class="header-text">University of Puerto Rico, Río Piedras Campus</p>
          <p class="header-text">Online Learning Assessment System</p>
          @yield('header')
        </div>

    </header>
    <main class="main">
            @yield('main')
    </main>

    <!-- File specific scripts -->
    @yield('included-js')

    <!-- General Scripts -->
    <script type="text/javascript">
    $(document).ready(function() {
        $('#js-error-row').hide();

        // Always scroll to the top
        $(this).scrollTop(0);
        $('html').animate({scrollTop:0}, 1);
        $('body').animate({scrollTop:0}, 1);

        // Yield to js
        @yield('javascript')

        // Turn on tooltips
        $('[data-toggle="tooltip"]').tooltip();

    });
        
    </script>

    <!-- AJAX setup for CSRF protection -->
    <script src="{{ asset('js/ajaxSetup.js') }}"></script>

    <script type="text/javascript">

    window.print();

    </script>

</body>
</html>
