<div class="navbar navbar-inverse navbar-static-top">
    <div class="container-fluid">

        <ul class="nav navbar-nav navbar-right">
            <li>{{ HTML::linkAction('AdministratorsController@overview', 'Overview') }}</li>
            <li>{{ HTML::linkAction('AdministratorsController@overview2', 'Overview2') }}</li>

            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                    aria-expanded="false">Management<span class="caret"></span></a>
                <ul class="dropdown-menu" role="menu">
                    <li>{{ HTML::linkAction('CoursesController@reassign', 'Courses') }}</li>
                    <li>{{ HTML::linkAction('Objective2Controller@edit', 'Objectives') }}</li>
                    <li>{{ HTML::linkAction('CriteriaController@edit', 'Criteria') }}</li>
                    <li>{{ HTML::linkAction('OutcomesController@index', 'Learning Outcomes') }}</li>
                    <li>{{ HTML::linkAction('TemplatesController@newTemplate_new', 'Rubric Builder') }}</li>
                    <li>{{ HTML::linkAction('TemplatesController@index', 'Rubric List') }}</li>
                    <li>{{ HTML::linkAction('SemestersController@edit', 'Semesters') }}</li>
                    <li>{{ HTML::linkAction('UsersController@index', 'Users') }}</li>
                </ul>
            </li>
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Learning
                    and Criterias<span class="caret"></span></a>
                <ul class="dropdown-menu" role="menu">
                    <li>{{ HTML::linkAction('CriteriaController@index', 'Outcomes and Criteria') }}</li>
                    <li>{{ HTML::linkAction('Objective2Controller@viewObjectives', 'Objectives and Criteria') }}
                    </li>
                </ul>
            </li>
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Colleges
                    and Schools<span class="caret"></span></a>
                <ul class="dropdown-menu" role="menu">
                    @foreach ($schools as $school)
                        <li>{{ HTML::linkAction('SchoolsController@show', $school->name, [$school->id]) }}</li>
                    @endforeach
                </ul>
            </li>
            <li>{{ HTML::linkAction('ProgramsController@index', 'Programs') }}</li>

            @if (count(Auth::user()->courses))
                <li> {{ HTML::linkAction('ProfessorsController@overview', 'My Courses', null) }}</li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                        aria-expanded="false">Sections<span class="caret"></span></a>
                    <ul class="dropdown-menu" role="menu">
                        @foreach ($courses as $course)
                            <li> {{ HTML::linkAction('CoursesController@show', $course->code . $course->number . '-' . $course->section . ' (' . $course->semester->code . ')', ['id' => $course->id]) }}
                            </li>
                        @endforeach
                    </ul>
                </li>

            @endif


            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                    aria-expanded="false">Results<span class="caret"></span></a>
                <ul class="dropdown-menu" role="menu">
                    <li>{{ HTML::linkAction('OutcomesController@assessmentReport', 'Campus Results') }}</li>
                    <li>{{ HTML::linkAction('OutcomesController@totalAssessmentReport', 'Total Assessment Results') }}
                    </li>
                    @if (count(Auth::user()->courses))
                        <li>{{ HTML::linkAction('OutcomesController@professorAssessmentReport', 'My Courses\' Results') }}
                        </li>
                    @endif
                </ul>
            </li>
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Program
                    Plans
                    <span class="caret"></span></a>
                <ul class="dropdown-menu" role="menu">
                    <li>{{ HTML::linkAction('AnnualPlansController@adminIndex', 'Annual Plans') }}</li>
                    <li>{{ HTML::linkAction('ThreeYearPlanController@adminIndex', 'Three Year Plans') }}</li>
                </ul>
            </li>

            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Help<span
                        class="caret"></span></a>
                <ul class="dropdown-menu" role="menu">
                    <li>{{ HTML::linkAction('FeedbackController@create', 'Feedback') }}</li>
                    <!-- <li><a href="{{ asset('files/OLAS-intro.pdf') }}">Introduction to OLAS</a></li> -->
                    <li><a href="{{ asset('files/intro-avaluo.pdf') }}">Introduction to Assessment</a></li>
                    <!-- <li><a href="{{ asset('files/OLAS-coords.pdf') }}">OLAS for Coordinators</a></li> -->
                    <li><a
                            href="http://oeae.uprrp.edu/wp-content/uploads/2019/01/Brochure-de-OLAS-rev.-agosto-2018.pdf">Brochure</a>
                    </li>
                </ul>
            </li>
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                    aria-expanded="false">Account<span class="caret"></span></a>
                <ul class="dropdown-menu" role="menu">
                    <li>{{ HTML::linkAction('UsersController@edit', 'Profile') }}</li>
                    <li>{{ HTML::linkAction('AuthController@logout', 'Log out (' . Auth::user()->email . ')') }}</li>
                </ul>
            </li>
            <!--
          <li>{{ HTML::linkAction('AuthController@logout', 'Log out (' . Auth::user()->email . ')') }}
      </li>
 -->
        </ul>
        </li>
        </ul>
    </div>
</div>
