@extends('layouts.master')

@section('navigation')
    @if (Auth::user()->role == 1)
        @include('local.managers.admins._new_navigation')
    @elseif(Auth::user()->role == 2)
        @include('local.managers.sCoords._new_navigation')
    @elseif(Auth::user()->role == 3)
        @include('local.managers.pCoords._new_navigation')
    @endif
@stop

@section('main')
    <div class="row">
        <div class="col-md-12">
            <table class="table table-striped table-condensed editable-table">
                <thead>
                    <tr class="center-text">
                        <th class="col-md-2">Outcomes</th>
                        <th class="col-md-4">Learning Objectives</th>
                        <th class="col-md-4">Transformative Actions</th>
                        <th class="col-md-2">Expected Metric</th>
                </thead>
                <tbody>
                    @foreach ($outcomes as $outcome)
                        @foreach ($outcome->objectives as $i => $objective)
                            <tr data-id="{{ $outcome->id }}">
                                @if ($i == 0)
                                    <td contenteditable="true" class="name col-md-2"
                                        rowspan="{{ $outcome->objectives->count() }}">{{ $outcome->name }}</td>
                                @endif
                                <td contenteditable="true" class="name col-md-4">{{ $objective->text }}</td>
                                {{-- TODO: Use correct data --}}
                                <td contenteditable="true" data-type="textarea" class="definition col-md-6">
                                    {{ 'TODO' }}</td>
                                <td contenteditable="true" class="expected-outcome col-md-1">
                                    {{ $outcome->expected_outcome }}</td>
                            </tr>
                        @endforeach
                    @endforeach

                </tbody>
            </table>
        </div>
    </div>

@stop

@section('included-js')
    @include('global._datatables_js')
@stop

@section('javascript')

    // ------------------------------------------------------------------------
    // Page Load
    // ------------------------------------------------------------------------

    // ------------------------------------------------------------------------
    // Events
    // ------------------------------------------------------------------------



    // ------------------------------------------------------------------------
    // Functions
    // ------------------------------------------------------------------------

@stop
