@extends('layouts.master')

@section('navigation')
    @if (Auth::user()->role == 1)
        @include('local.managers.admins._new_navigation')
    @elseif(Auth::user()->role == 2)
        @include('local.managers.sCoords._new_navigation')
    @elseif(Auth::user()->role == 3)
        @include('local.managers.pCoords._new_navigation')
    @endif
@stop

@section('main')
    <div class="row">
        <div class="col-md-12">
            <p>This report contains performance information for all your Program's assessed courses during the following
                semester(s):</p>
            <ul>
                @foreach (Session::get('semesters_info') as $semester_info)
                    <li>{{ $semester_info }}</li>
                @endforeach
            </ul>

            @if ($program)

                <h3 id="{{ $outcome->id }}" class="outcome">{{ $outcome->name }}</h3>
                <table class="table table-condensed table-bordered">
                    <thead>
                        <tr>
                            <th colspan="12">
                                <h4 id="{{ $outcome->id }}-{{ $program->school->id }}" class="school table-header">
                                    {{ $program->school->name }}: {{ $program->name }}
                                </h4>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @if ($program->assessesOutcome($outcome->id))
                            <!-- For each grouped course -->
                            @foreach ($program->courses as $index2 => $course)
                                <!-- If grouped course has activities that evaluate the outcome -->

                                <?php
                                
                                /*$sections_evaluating = Course::has('activities')
                                                                        ->whereNotNull('outcomes_attempted')
                                                                        ->whereRaw('outcomes_attempted not like \'%"'.$outcome->id.'":0%\'')
                                                                        ->with(array('activities'=>function($query) use(&$outcome){
                                                                            $query->whereNotNull('outcomes_attempted');
                                                                            $query->whereRaw('outcomes_attempted not like \'%"'.$outcome->id.'":0%\'');} ))
                                                                        ->where('code', $course->code)->where('number',$course->number)
                                                                        ->whereIn('semester_id', Session::get('semesters_ids'))
                                                                        ->get();*/
                                
                                $sections_evaluating = Course::has('activities')
                                
                                    //->whereNotNull('outcomes_attempted')
                                    //->whereRaw('outcomes_attempted not like \'%"'.$outcome->id.'":0%\'')
                                    ->with([
                                        'activities' => function ($query) use (&$outcome, &$course) {
                                            $activities = DB::table('activities')
                                                ->join('activity_criterion', 'activity_criterion.activity_id', '=', 'activities.id')
                                                ->join('assessments', 'assessments.activity_criterion_id', '=', 'activity_criterion.id')
                                                ->join('criterion_objective_outcome', 'activity_criterion.criterion_id', '=', 'criterion_objective_outcome.criterion_id')
                                                ->where('course_id', $course->id)
                                                ->where('criterion_objective_outcome.outcome_id', $outcome->id)
                                                ->select('activity_id')
                                                ->lists('activity_id');
                                
                                            //$query->whereNotNull('outcomes_attempted');
                                            //$query->whereRaw('outcomes_attempted not like \'%"'.$outcome->id.'":0%\'');
                                            $query->whereIn('id', $activities);
                                        },
                                    ])
                                
                                    ->where('code', $course->code)
                                    ->where('number', $course->number)
                                    ->whereIn('semester_id', Session::get('semesters_ids'))
                                    ->get();
                                
                                ?>

                                @if (count($sections_evaluating))
                                    <tr>
                                        <td>
                                            <h4>{{ $course->code }}-{{ $course->number }}</h4>
                                        </td>
                                        <td>
                                            <!-- For each section -->
                                            @foreach ($sections_evaluating as $index3 => $section)
                                                <h5><u>Instance {{ $index3 + 1 }}</u></h5>

                                                <!-- For each activity in the section -->
                                                @foreach ($section->activities as $index4 => $activity)
                                                    <!-- If activity has a rubric and the rubric has the outcome being evaluated -->
                                                    @if ($activity->draft == 0 && $activity->diagnostic == 0 && array_key_exists($outcome->id, (array) $activity->o_att_array) && $activity->o_att_array[$outcome->id] >= 1)
                                                        <h5>Measure {{ $index4 + 1 }}</h5>
                                                        <p>A rubric was used in the
                                                            {{ $section->code }}-{{ $section->number }}
                                                            ({{ $section->name }}) course
                                                            ({{ date('M Y', strtotime($course->updated_at)) }}) to assess
                                                            students’ <u>{{ strtolower($outcome->name) }}</u> in the
                                                            activity: "<strong>{{ $activity->name }}</strong>". N=
                                                            {{ count($section->students) }}. </p>
                                                        <p>The expected performance level was that
                                                            <strong>{{ $activity->rubric[0]->expected_percentage }}%</strong>
                                                            of students participating in the activity would score
                                                            <strong>{{ $activity->rubric[0]->expected_points }}
                                                                points</strong> or more in the 1-8 point scale used.</p>
                                                        <p>The results for each criterion were as follows:</p>

                                                        <table class="table table-condensed table-bordered">
                                                            @foreach ((array) $activity->cap_array as $criterion_id => $criterion)
                                                                @if (in_array($outcome->id, json_decode($criterion->outcome_id)) /*== $outcome->id*/ && $criterion->score_percentage >= $activity->rubric[0]->expected_percentage)
                                                                    <tr>
                                                                        <td>{{ $criterion->name }}</td>
                                                                        <td class="col-md-1 success">
                                                                            {{ $criterion->score_percentage }}%</td>
                                                                    </tr>
                                                                @elseif(in_array($outcome->id, json_decode($criterion->outcome_id)) && $criterion->score_percentage < $activity->rubric[0]->expected_percentage)
                                                                    <tr>
                                                                        <td>{{ $criterion->name }}</td>
                                                                        <td class="col-md-1 danger">
                                                                            {{ $criterion->score_percentage }}%</td>
                                                                    </tr>
                                                                @endif
                                                            @endforeach
                                                        </table>

                                                        <ul>

                                                        </ul>
                                                        <p>

                                                            <?php
                                                            $o_att_array = $activity->o_att_array;
                                                            $o_ach_array = $activity->o_ach_array;
                                                            $percentage = ($o_ach_array[$outcome->id] / $o_att_array[$outcome->id]) * 100;
                                                            ?>
                                                            @if ($percentage >= 100)
                                                                The expected goal was reached in <strong>all</strong> (100%)
                                                                of the criteria assessed. Therefore, the goal for this
                                                                outcome ({{ $outcome->expected_outcome }}%) was
                                                                <strong>met</strong>.
                                                            @elseif ($percentage < 1)
                                                                The expected goal was reached in <strong>none</strong> (0%)
                                                                of the criteria assessed. Therefore, the goal for this
                                                                outcome ({{ $outcome->expected_outcome }}%) was
                                                                <strong>not met</strong>.
                                                            @elseif ($percentage >= $outcome->expected_outcome)
                                                                The expected goal was reached in
                                                                <strong>{{ $o_ach_array[$outcome->id] }}</strong> out of
                                                                the <strong>{{ $o_att_array[$outcome->id] }}</strong>
                                                                ({{ round($percentage, 2) }}%) criteria assessed.
                                                                Therefore, the goal for this outcome
                                                                ({{ $outcome->expected_outcome }}%) was
                                                                <strong>met</strong>.
                                                            @elseif ($percentage < $outcome->expected_outcome)
                                                                The expected goal was reached in
                                                                <strong>{{ $o_ach_array[$outcome->id] }}</strong> out of
                                                                the <strong>{{ $o_att_array[$outcome->id] }}</strong>
                                                                ({{ round($percentage, 2) }}%) criteria assessed.
                                                                Therefore, the goal for this outcome
                                                                ({{ $outcome->expected_outcome }}%) was <strong> not
                                                                    met</strong>.
                                                            @endif
                                                        </p>

                                                        <h5><strong>Transformative Actions</strong></h5>
                                                        @if ($activity->transforming_actions)
                                                            {{ $activity->transforming_actions }}
                                                        @else
                                                            None
                                                        @endif
                                                        <br><br>
                                                    @elseif($activity->draft == 0)
                                                        <h5>Measure {{ $index4 + 1 }}</h5>
                                                        <em>Outcome not measured.</em>
                                                    @else
                                                    @endif
                                                @endforeach
                                            @endforeach
                                        </td>
                                    </tr>
                                @else
                                    <tr>
                                        <td>
                                            <h4>{{ $course->code }}-{{ $course->number }}</h4>
                                        </td>
                                        <td>
                                            <h4>No assessment.</h4>
                                        </td>
                                    </tr>
                                @endif
                            @endforeach
                        @else
                            <tr>
                                <td id="{{ $outcome->id }}-{{ $program->school->id }}-{{ $program->id }}"
                                    class="program no-courses col-md-3">{{ $program->name }}</td>
                                <td class="col-md-9">
                                    This program does not assess {{ $outcome->name }}.
                                </td>
                            </tr>
                        @endif
                    </tbody>
                </table>
            @else
                <p class="lead">No professors have assessed courses for your program during the selected
                    semesters.</p>
            @endif
        </div>
    </div>
@stop

@section('javascript')

@stop
