@extends('layouts.print')

@section('header')
<p class="header-text">
    @foreach (Session::get('semesters_info') as $index => $semester_info)
        {{ $semester_info }}
        @if($index+1 != count(Session::get('semesters_info')))
        <strong>&#183;</strong>
        @endif
    @endforeach
</p>

<p class="header-text">Assessment Results</p>
<h1 class="header-text">School of {{{ $school->name}}}</h1>
@stop

@section('main')



<br>
<div class="row">
    <div class="col-md-8" id="graph2"></div>
</div>

<div class="row">
    <div class="col-md-8">
        <h3>Performance of {{ $school->name }} Undergrad Students by Learning Outcome</h3>
        @if($outcomes->count()>0)
            <table class="table table-striped table-condensed datatable">
                <thead>
                    <tr>
                        <th>Learning Outcome</th>
                        <th>Program</th>
                        <th>Program Id</th>
                        <th>Program Is Graduate</th>
                        <th>Number Students</th>
                        <th>Number Students that Achieved the Target</th>
                        <th>Percentage of Students that Achieved the Target</th>
                        <!--<th>Semesters</th>-->
                    </tr>
                </thead>
                
                <tbody>
                    @foreach($undergraduate_programs as $program)
                      @foreach($outcomes_colap as $outcome)
                        @if(isset($outcomes_undergrad_program_attempted_colap[$outcome->id][$program->id]))
                        <tr>
                            <td>{{  $outcome->name }}</td>
                            <td>{{{ $program->name }}}</td>
                            <td>{{{ $program->id }}}</td>
                            <td>{{{ $program->is_graduate }}}</td>
                            <td>{{{ $outcomes_undergrad_program_attempted_colap[$outcome->id][$program->id] }}}</td>
                            @if(isset($outcomes_undergrad_program_achieved_colap[$outcome->id][$program->id]))
            
                                <td>{{{ $outcomes_undergrad_program_achieved_colap[$outcome->id][$program->id] }}}</td>
                                <td>
                                    @if($outcomes_undergrad_program_attempted_colap[$outcome->id][$program->id]!=0)
                                        
                                        {{{ round($outcomes_undergrad_program_achieved_colap[$outcome->id][$program->id] / $outcomes_undergrad_program_attempted_colap[$outcome->id][$program->id]*100, 2) }}}%
                                    
                                        
                                @else
                                    N/M
                                @endif
                                </td>
                            @else
                                <td>0</td><td>0%</td>
                                @endif
                                {{--}}
                                
                            <td>
                            @if(isset($outcomes_undergraduate_attempted_colap_semesters[$program->id][$outcome->id]))
                                {{{ str_replace('"','',json_encode($outcomes_undergraduate_attempted_colap_semesters[$program->id][$outcome->id])) }}}
                            @else
                                N/M
                            @endif
                            
                            </td>--}}
                        </tr>
                           @endif
                      @endforeach
                    @endforeach
                </tbody>
            </table>
        @else
            <p class="lead"> No courses assigned.</p>
        @endif
    </div>
</div>

<div class="row">
    <div class="col-md-8" id="graph3"></div>
</div>
<div class="row">
    <div class="col-md-8">
        <h3>Performance of {{ $school->name }} Graduate Students by Learning Outcome</h3>
        @if($outcomes->count()>0)
            <table class="table table-striped table-condensed datatable">
                <thead>
                    <tr>
                        <th>Learning Outcome</th>
                        <th>Program</th>
                        <th>Program Id</th>
                        <th>Program Is Graduate</th>
                        <th>Number Students</th>
                        <th>Number Students that Achieved the Target</th>
                        <th>Percentage of Students that Achieved the Target</th>
                        
                    </tr>
                </thead>
                
                <tbody>
                    @foreach($graduate_programs as $program)
                      @foreach($outcomes_colap as $outcome)
                        @if(isset($outcomes_grad_program_attempted_colap[$outcome->id][$program->id]))
                        <tr>
                            <td>{{  $outcome->name }}</td>
                            <td>{{{ $program->name }}}</td>
                            <td>{{{ $program->id }}}</td>
                            <td>{{{ $program->is_graduate }}}</td>
                            <td>{{{ $outcomes_grad_program_attempted_colap[$outcome->id][$program->id] }}}</td>
                            @if((isset($outcomes_grad_program_achieved_colap[$outcome->id][$program->id])))
                                <td>{{{ $outcomes_grad_program_achieved_colap[$outcome->id][$program->id] }}}</td>
                                <td>
                                    @if($outcomes_grad_program_attempted_colap[$outcome->id][$program->id]!=0)
                                        
                                    {{{ round($outcomes_grad_program_achieved_colap[$outcome->id][$program->id] / $outcomes_grad_program_attempted_colap[$outcome->id][$program->id]*100, 2) }}}%
                                
                                        
                                @else
                                        N/M
                                    @endif
                                </td>
                                @else
                                <td>
                                    0</td>
                                    <td>0%</td>
                                @endif
                            
                        </tr>
                           @endif
                      @endforeach
                    @endforeach
                </tbody>
            </table>
        @else
            <p class="lead"> No courses assigned.</p>
        @endif
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <h3>Courses in this School</h3>
        @if(count($grouped_courses)>0)
            <table class="table table-striped table-condensed datatable">
                <thead>
                    <tr>
                        <th>Identifier</th>
                        <th>Name</th>
                        <th>Course Program</th>
                        <th>Number of Students</th>
                    </tr>
                </thead>
                <tfoot>
                    <tr class="column-search">
                        <th><input class="column-search-bar form-control" type="text" placeholder="Search"/></th>
                        <th><input class="column-search-bar form-control" type="text" placeholder="Search"/></th>
                    <th><select class="column-search-select form-control"><option value=""></option></select></th>
                        <th><input class="column-search-bar form-control" type="text" placeholder="Search"/></th>
                    </tr>
                </tfoot>
                <tbody>
                    @foreach($grouped_courses as $grouped_course)
                        <tr>
                            <td class="col-md-2">{{  $grouped_course->code.$grouped_course->number.' ('.$grouped_course->semester->code.')' }}</td>
                            <td class="col-md-4">{{{ $grouped_course->name}}}</td>
                            <td class="col-md-2">{{{ $grouped_course->program->code}}}</td>
                            <td class="col-md-3">{{{ $grouped_course->quantity }}}</td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        @else
            <p class="lead"> No courses assigned.</p>
        @endif
    </div>
</div>

@stop








@section('included-js')

<!-- HighCharts -->
<script src="{{ asset('vendor/highcharts/highcharts.js') }}"></script>
<!--script src="http://code.highcharts.com/modules/exporting.js"></script -->

@stop

@section('javascript')
$(function () {

    $('#schoolTabs a').click(function (e) {
        e.preventDefault()
        $(this).tab('show');
    });
   
$('#graph2').highcharts({
    chart: {
        type: 'bar'
    }, 
    title: {
        text: 'Performance of {{ $school->name }} Undergraduate Students by Learning Outcome'
    },
    legend: {
                reversed: true,
            },
    xAxis: {
        categories: [
            @foreach($outcomes_colap as $outcome)
            @if(isset($outcomes_undergraduate_attempted_colap_todo[$outcome->id]) &&
                    isset($outcomes_undergraduate_achieved_colap_todo[$outcome->id]))
                    "{{{ $outcome->name }}}<br>(N = {{{ $outcomes_undergraduate_attempted_colap_todo[$outcome->id] }}}, {{{ $outcomes_undergraduate_achieved_colap_todo[$outcome->id] }}})",
                    @elseif(isset($outcomes_undergraduate_attempted_colap_todo[$outcome->id]))
                    "{{{ $outcome->name }}}<br>(N = {{{ $outcomes_undergraduate_attempted_colap_todo[$outcome->id] }}}, 0)",
                    
                    @else
                        "{{{ $outcome->name }}}<br>(N = 0, 0)",         	
                    @endif
               @endforeach
        ],
        labels: {
            style: {
                fontSize:'11px'
            },
            step:1,
            useHTML:true,
            formatter: function() {
                return '<div style="width:200px; word-break:break; text-overflow:ellipsis; overflow:hidden;">'+this.value+'</div>';
            },
        }
    },
    yAxis: {
        min: 0,
        max: 100,
        title: {
            text: 'Percentage'
        },
        			plotLines:[{
		value:70,
		color: '#000',
		width:3,
		zIndex:4,
		label:{
			text: 'Goal (70%)',
			style: {
				color: '#000',
				fontSize: '14px',
			}

		}
	}]

    },
    tooltip: {
        headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
        pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
            '<td style="padding:0"><b>{point.y:.2f}</b></td></tr>',
        footerFormat: '</table>',
        shared: true,
        useHTML: true
    },
    plotOptions: {
        bar: {
            //grouping: false,
            shadow: false,
            borderWidth: 0,
        },
        series: {
        pointPadding: 0,
        groupPadding: 0.075
        },
    },
    series: [/*{
        name: 'Expected Value',
        color: '#555555',
        dataLabels: {
            enabled: true,
            fontSize: 8,
            color: '#fff',
            align: 'right',
            format: '{y:.1f}%',
            style: {
                //fontWeight: 'bold'
            },
            y:-1
        },
        data: [
            @foreach($outcomes_colap as $index => $outcome)
                @if(
                    is_array($outcomes_undergraduate_attempted_colap_todo)
                    && array_key_exists($outcome->id, $outcomes_undergraduate_attempted_colap_todo)
                    && $outcomes_undergraduate_attempted_colap_todo[$outcome->id]!=0)
                @else
                    0,
                @endif
            @endforeach
        ]

    },*/{
        name: 'Obtained Value',
        color: '#e70033',
        dataLabels: {
            enabled: true,
            fontSize: 8,
            color: '#fff',
            align: 'right',
            format: '{y:.1f}%',
            style: {
                //fontWeight: 'bold'
            },
            y:-1
        },
        data:[
            @foreach($outcomes_colap as $index => $outcome)
                @if(
                    is_array($outcomes_undergraduate_attempted_colap_todo)
                    && array_key_exists($outcome->id, $outcomes_undergraduate_attempted_colap_todo)
                    && $outcomes_undergraduate_attempted_colap_todo[$outcome->id]!=0
                    && isset($outcomes_undergraduate_achieved_colap_todo[$outcome->id]))
                    {{{ ($outcomes_undergraduate_achieved_colap_todo[$outcome->id]/$outcomes_undergraduate_attempted_colap_todo[$outcome->id])*100 }}},
                @else
                    0,
                @endif
            @endforeach
        ]
    }]
}); 


$('#graph3').highcharts({
    chart: {
        type: 'bar'
    }, 
    title: {
        text: 'Performance of {{ $school->name }} Graduate Students by Learning Outcome'
    },
    legend: {
                reversed: true,
            },
    xAxis: {
        categories: [
            @foreach($outcomes_colap as $outcome)
            @if(isset($outcomes_graduate_attempted_colap_todo[$outcome->id])
            && isset($outcomes_graduate_achieved_colap_todo[$outcome->id]))
                "{{{ $outcome->name }}}<br>(N = {{{ $outcomes_graduate_attempted_colap_todo[$outcome->id] }}}, {{{ $outcomes_graduate_achieved_colap_todo[$outcome->id] }}})",
            @elseif(isset($outcomes_graduate_attempted_colap_todo[$outcome->id]))
            "{{{ $outcome->name }}}<br>(N = {{{ $outcomes_graduate_attempted_colap_todo[$outcome->id] }}}, 0)",
          @else
          "{{{ $outcome->name }}}<br>(N = 0, 0)",
          @endif
                @endforeach
        ],
        labels: {
            style: {
                fontSize:'11px'
            },
            step:1,
            useHTML:true,
            formatter: function() {
                return '<div style="width:200px; word-break:break; text-overflow:ellipsis; overflow:hidden;">'+this.value+'</div>';
            },
        }
    },
    yAxis: {
        min: 0,
        max: 100,
        title: {
            text: 'Percentage'
        },
        			plotLines:[{
		value:70,
		color: '#000',
		width:3,
		zIndex:4,
		label:{
			text: 'Goal (70%)',
			style: {
				color: '#000',
				fontSize: '14px',
			}

		}
	}]

    },
    tooltip: {
        headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
        pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
            '<td style="padding:0"><b>{point.y:.2f}</b></td></tr>',
        footerFormat: '</table>',
        shared: true,
        useHTML: true
    },
    plotOptions: {
        bar: {
            //grouping: false,
            shadow: false,
            borderWidth: 0,
        },
        series: {
        pointPadding: 0,
        groupPadding: 0.075
        },
    },
    series: [/*{
        name: 'Expected Value',
        color: '#555555',
        dataLabels: {
            enabled: true,
            fontSize: 8,
            color: '#fff',
            align: 'right',
            format: '{y:.1f}%',
            style: {
                //fontWeight: 'bold'
            },
            y:-1
        },
        data: [
            @foreach($outcomes_colap as $index => $outcome)
                @if(
                    is_array($outcomes_graduate_attempted_colap_todo)
                    && array_key_exists($outcome->id, $outcomes_graduate_attempted_colap_todo)
                    && $outcomes_graduate_attempted_colap_todo[$outcome->id]!=0
                    )
                @else
                    0,
                @endif
            @endforeach
        ]

    },*/{
        name: 'Obtained Value',
        color: '#e70033',
        dataLabels: {
            enabled: true,
            fontSize: 8,
            color: '#fff',
            align: 'right',
            format: '{y:.1f}%',
            style: {
                //fontWeight: 'bold'
            },
            y:-1
        },
        data:[
            @foreach($outcomes_colap as $index => $outcome)
                @if(
                    is_array($outcomes_graduate_attempted_colap_todo)
                    && array_key_exists($outcome->id, $outcomes_graduate_attempted_colap_todo)
                    && $outcomes_graduate_attempted_colap_todo[$outcome->id]!=0
                    && isset($outcomes_graduate_achieved_colap_todo[$outcome->id]))
                    {{{ ($outcomes_graduate_achieved_colap_todo[$outcome->id]/$outcomes_graduate_attempted_colap_todo[$outcome->id])*100 }}},
                @else
                    0,
                @endif
            @endforeach
        ]
    }]
});
});


   

    // Include dummy graph for outcomes
    @include('global.dummy-outcomes')


@stop
