<?php

echo '<html>';
echo '<body>';

//Inline styles (only for printing)
echo
'<style type="text/css">
    body
    {
        font-family: "Arial", sans-serif;
        width:90%;
        margin: 0 auto;
    }
    .header-text
    {
        text-align:center;
        font-weight: bold;
        margin:0;
    }

    h1.header-text
    {
      margin: 15px auto;
      width:75%;
      font-size: 25px;
    }

    table
    {
        border-collapse: collapse;
        border: 1px solid black;
        width: 100%;
        margin: 30px auto;
        font-size:1.5vw;
    }
    td, th
    {
        border: 1px solid black;
        padding: 5px;
    }

    .activity-name-row
    {
      background:black;
      color:white;
    }

    .activity-headers-row
    {
      background:lightgrey;
      font-weight:bold;
    }

    .report-info
    {
      margin:5px 0;
      font-size: 16px;
    }

    .criterion-field
    {
      text-align:left;
    }

    .score-field, .total, .percentage
    {
      text-align:center;
    }

    .header
    {
      margin: 30px 0;
    }

    .content
    {
      font-size: 12px;
    }

    .logo
    {
      position:absolute;
      right:0;
      top: 30px;
      width: 100px;
    }

    ul{
      list-style-type:none;
    }

    @media print{@page {size: landscape}}
</style>';

echo '<style type="text/css" media="print">
  @page { size: landscape; }
</style>';

?>
<img class="logo" src="{{ asset('images/logo_uprrp_bw.png') }}" alt="UPRRP Logo">

<div class="header"><p class="header-text">University of Puerto Rico, Río Piedras Campus</p>
<p class="header-text">Online Learning Assessment System</p>
<p class="header-text">{{$course->program->name}} Program</p>
<p class="header-text">{{{ $course->code }}} {{{ $course->number }}} - {{$course->name}}</p>
<h1 class="header-text">Assessment Rubric </h1></div>

<span>Rubric: {{{ $rubric->name}}}</span><br>
<span>Activity: {{{ $activity->name}}} </span><br>
<span>Passing Criteria:
  <span id="expected_percentage">{{{ $rubric->expected_percentage }}}% of students must obtain at least </span>
  <span id="expected_points">{{{$rubric->expected_points}}}</span> points
</span><br><br>

<table class="table table-striped table-condensed">
  <thead>
    <tr>
      <th></th>
      <th>Criterion</th>
      @foreach($rubric->titles as $position => $text)
      <th>{{$text}} ({{1+ ($position*($rubric->max_score/$rubric->num_scales))}}-{{(1+$position)*($rubric->max_score/$rubric->num_scales)}})</th>
      @endforeach
     
      <th>Learning Outcome</th>
      <th>Copyright</th>
      <th>Notes</th>
    </tr>
  </thead>
  <tbody>
    @foreach($rubric_criterion as $index=> $criterion)
    <tr>
      <td>{{ $index + 1 }}.</td>
      <td>
        {{{ $criterion->name }}}

        @if($criterion->subcriteria)
          <ul class="list-unstyled">
            @foreach(json_decode($criterion->subcriteria) as $subcriterion)
                <li>{{ $subcriterion }}</li>
            @endforeach
          </ul>
        @endif
      </td>
      @foreach(json_decode($criterion->scales) as $index2 => $description)
      <td>{{  nl2br($description) }}</td>
      @endforeach
      
      <td>
        <ol>
        @foreach(json_decode($criterion->outcomes) as $outcome)
        
<li>{{$outcome}}</li>
        
        @endforeach
      </ol>
      </td>
      <td>
      @if($criterion->copyright)
        {{{ $criterion->copyright }}}
      @endif
      </td>
      <td>
      @if($criterion->notes)
        {{{ $criterion->notes }}}
      @endif
      </td>
    </tr>     
    @endforeach

  </tbody>
</table>


<?php

echo '</body>';
echo '</html>';
?>

<script type="text/javascript">

window.print();

</script>
